jvx.volume

## Class PgTetraSet_Menu

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - jv.objectGui.PsMethodMenu
        - - jv.project.PgGeometry_Menu
          - - jv.geom.PgPointSet_Menu
            - - jvx.volume.PgTetraSet_Menu

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, PsUpdateIf

      public class PgTetraSet_Menu
      extends PgPointSet_Menu

  Add specific menu items to 'method' menu in control panel to invoke methods from menu.
  See Also:
    `PgElementSet_Menu`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    23.06.07, 3.00 created (kp) Created based on PgElementSet_Menu.
    11.06.06, 2.50 revised (kp) No longer switch to previous global mode after marking.
    24.06.05, 2.40 revised (kp) Remove vertex texture by hand when converted to element texture.
    11.07.02, 2.30 revised (kp) Menu items for removal of colors and normals added.
    26.12.01, 2.20 revised (ep) Internationalization.
    15.09.01, 2.10 revised (ur) Reorganisation of all Method Menus.
    18.07.99, 2.00 revised (kp) Method calls changed and PsMenu replaced with standard java.awt.Menu.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `m_tetraSetMethod`
    `static int` | `MTHD_CHECK_NEIGHBOUR`
    `static int` | `MTHD_CLOSE_BOUNDARY`
    `static int` | `MTHD_COMPRESS_TEXTURE`
    `static int` | `MTHD_COMPUTE_AREA`
    `static int` | `MTHD_COMPUTE_L2NORM`
    `static int` | `MTHD_COMPUTE_VOLUME`
    `static int` | `MTHD_CONSTRAIN_BOUNDARY`
    `static int` | `MTHD_CONVERT_ELEMENT_SET`
    `static int` | `MTHD_CONVERT_POLYGON_SET`
    `static int` | `MTHD_DERIVE_TEX`
    `static int` | `MTHD_EDGE_COLOR_FROM_TETRA`
    `static int` | `MTHD_EDGE_COLOR_FROM_VERTEX`
    `static int` | `MTHD_EXTRACT_BOUNDARIES`
    `static int` | `MTHD_FLIP_EDGES`
    `static int` | `MTHD_INVERT_TETRA_MARKS`
    `static int` | `MTHD_MAKE_NEIGHBOUR`
    `static int` | `MTHD_MAKE_TETRA_COLOR_FROM_VERTEX`
    `static int` | `MTHD_MAKE_TETRA_COLOR_FROM_XYZ`
    `static int` | `MTHD_MAKE_TETRA_COLOR_FROM_Z`
    `static int` | `MTHD_MAKE_TETRA_COLOR_FROM_Z_HUE`
    `static int` | `MTHD_MAKE_TETRA_NORMALS`
    `static int` | `MTHD_MAKE_VERTEX_COLOR_FROM_TETRA`
    `static int` | `MTHD_MAKE_VERTEX_NORMALS`
    `static int` | `MTHD_MARK_ALL_TETRAS`
    `static int` | `MTHD_MARK_BOUNDARIES`
    `static int` | `MTHD_MARK_EDGES`
    `static int` | `MTHD_MARK_TETRAS`
    `static int` | `MTHD_PRINT_BND_LIST`
    `static int` | `MTHD_PRINT_EDGE_LIST`
    `static int` | `MTHD_REFINE_INTO_FOUR`
    `static int` | `MTHD_REMOVE_BOUNDARY`
    `static int` | `MTHD_REMOVE_MARKED_BOUNDARIES`
    `static int` | `MTHD_REMOVE_MARKED_EDGES`
    `static int` | `MTHD_REMOVE_MARKED_TETRAS`
    `static int` | `MTHD_REMOVE_MARKED_TETRAS_KEEP_V`
    `static int` | `MTHD_REMOVE_MARKED_VERTICES_KEEP_E`
    `static int` | `MTHD_REMOVE_TETRA_COLORS`
    `static int` | `MTHD_REMOVE_TETRA_NORMALS`
    `static int` | `MTHD_REMOVE_TETRA_TEXTURE`
    `static int` | `MTHD_REMOVE_UNUSED_VERTICES`
    `static int` | `MTHD_RESET_BOUNDARY_NORMALS`
    `static int` | `MTHD_RIVARA_BISECTION`
    `static int` | `MTHD_SHOW_BACKFACE`
    `static int` | `MTHD_SHOW_EDGE_LABELS`
    `static int` | `MTHD_SHOW_EDGE_SHADING`
    `static int` | `MTHD_SHOW_FRONT_COLOR_ON_BACK`
    `static int` | `MTHD_SHOW_GLOBAL_EDGE_COLOR`
    `static int` | `MTHD_SHOW_GLOBAL_TETRA_BACK_COLOR`
    `static int` | `MTHD_SHOW_GLOBAL_TETRA_COLOR`
    `static int` | `MTHD_SHOW_GOURAUD_SHADING`
    `static int` | `MTHD_SHOW_MARKED_BOUNDARIES`
    `static int` | `MTHD_SHOW_MARKED_EDGES`
    `static int` | `MTHD_SHOW_MARKED_TETRAS`
    `static int` | `MTHD_SHOW_SILHOUETTE`
    `static int` | `MTHD_SHOW_TETRA_COLOR_FROM_VERTEX`
    `static int` | `MTHD_SHOW_TETRA_LABELS`
    `static int` | `MTHD_SHOW_TETRA_NORMAL_ARROW`
    `static int` | `MTHD_SHOW_TETRA_SHADING`
    `static int` | `MTHD_SHOW_TETRA_TEXTURE`
    `static int` | `MTHD_SMALL_TETRAHEDRA`
    `static int` | `MTHD_SPLIT_VERITCES`
    `static int` | `MTHD_TETRA_FROM_VERTEX_TEXTURE`
    `static int` | `MTHD_TRIANGULATE`
    `static int` | `MTHD_UNFOLD_BY_TEXTURE`
    `static int` | `MTHD_UNMARK_ALL_TETRAS`
    `static int` | `MTHD_UNMARK_BOUNDARIES`
    `static int` | `MTHD_UNMARK_EDGES`
    `static int` | `MTHD_UNMARK_TETRAS`

    - ### Fields inherited from class jv.geom.PgPointSet_Menu

      `m_pointSetMethod, MTHD_ADD_TEXTURE, MTHD_APPLY_AMBIENT_MATRIX, MTHD_APPLY_CAMERA_MATRIX, MTHD_APPLY_MODELING_MATRIX, MTHD_CONVERT_ELEMENTSET, MTHD_CONVERT_POINTSET, MTHD_CONVERT_POLYGON, MTHD_CONVERT_POLYGONSET, MTHD_DECREMENT_DIMENSION, MTHD_ENABLE_INDEX_LABELS, MTHD_FLIP_ORIENTATION, MTHD_IGNORE_DEPTHCUE, MTHD_INCREMENT_DIMENSION, MTHD_INVERT_VERTEX_MARKS, MTHD_MAKE_VERTEX_TEXTURE_CYL, MTHD_MAKE_VERTEX_TEXTURE_SPH, MTHD_MAKE_VERTEX_TEXTURE_XY, MTHD_MAKE_VERTEX_TEXTURE_XZ, MTHD_MAKE_VERTEX_TEXTURE_YZ, MTHD_MARK_ALL_VERTICES, MTHD_MARK_VERTICES, MTHD_MOVE_TO_ORIGIN, MTHD_PRINT_FVECTOR, MTHD_PROJECT_FROM_AMBIENT_SPACE, MTHD_PROJECT_TO_SPHERE, MTHD_REMOVE_MARKED_VERTICES, MTHD_REMOVE_TEXTURE, MTHD_REMOVE_VECTOR_FIELDS, MTHD_REMOVE_VERTEX_COLORS, MTHD_REMOVE_VERTEX_NORMALS, MTHD_SHOW_GLOBAL_VERTEX_COLOR, MTHD_SHOW_MARKED_VERTICES, MTHD_SHOW_VECTOR_ARROWS, MTHD_SHOW_VERTEX_LABELS, MTHD_SHOW_VERTEX_NORMAL_ARROW, MTHD_SHOW_VERTEX_OUTLINE, MTHD_SHOW_VERTEX_TEXTURE, MTHD_UNMARK_ALL_VERTICES, MTHD_UNMARK_VERTICES, MTHD_VERTEX_COLOR_FROM_NORMAL, MTHD_VERTEX_COLOR_FROM_VECTOR, MTHD_VERTEX_COLOR_FROM_XYZ, MTHD_VERTEX_COLOR_FROM_Z, MTHD_VERTEX_COLOR_FROM_Z_HUE`

    - ### Fields inherited from class jv.project.PgGeometry_Menu

      `m_geometryMethod, MTHD_PRINT_ALL, MTHD_PRINT_BNDBOX, MTHD_PRINT_CENTER, MTHD_SHOW_BNDBOX, MTHD_SHOW_CENTER, MTHD_SHOW_NAME, MTHD_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgTetraSet_Menu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyMethod(java.lang.String aMethod)` Find and execute a command selected by menu selection.
    `void` | `init(PsObject anObject)` Register the target geometry, and subclasses should register all menu items and submenus.
    `boolean` | `update(java.lang.Object event)` Update this menu if the parent object has changed.

    - ### Methods inherited from class jv.project.PgGeometry_Menu

      `getViewer, setViewer`

    - ### Methods inherited from class jv.objectGui.PsMethodMenu

      `actionPerformed, addMenu, addMenu, addMenuItem, addMenuItem, addMenuItem, clone, getFather, getLanguage, getMenu, getMenuItem, getName, getPanelVersion, hasMenu, hasMenuItem, itemStateChanged, removeMenu, removeMenuItem, setName, setParent`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### MTHD_CLOSE_BOUNDARY

          public static final int MTHD_CLOSE_BOUNDARY

      See Also:
        Constant Field Values

    - #### MTHD_CONSTRAIN_BOUNDARY

          public static final int MTHD_CONSTRAIN_BOUNDARY

      See Also:
        Constant Field Values

    - #### MTHD_CHECK_NEIGHBOUR

          public static final int MTHD_CHECK_NEIGHBOUR

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_NEIGHBOUR

          public static final int MTHD_MAKE_NEIGHBOUR

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_NORMALS

          public static final int MTHD_MAKE_VERTEX_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_TETRA_NORMALS

          public static final int MTHD_MAKE_TETRA_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_UNUSED_VERTICES

          public static final int MTHD_REMOVE_UNUSED_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_MARK_TETRAS

          public static final int MTHD_MARK_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_TETRAS

          public static final int MTHD_UNMARK_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_TETRAS

          public static final int MTHD_REMOVE_MARKED_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_MARKED_TETRAS

          public static final int MTHD_SHOW_MARKED_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_MARK_EDGES

          public static final int MTHD_MARK_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_EDGES

          public static final int MTHD_UNMARK_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_EDGES

          public static final int MTHD_REMOVE_MARKED_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_MARKED_EDGES

          public static final int MTHD_SHOW_MARKED_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_MARK_BOUNDARIES

          public static final int MTHD_MARK_BOUNDARIES

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_BOUNDARIES

          public static final int MTHD_UNMARK_BOUNDARIES

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_BOUNDARIES

          public static final int MTHD_REMOVE_MARKED_BOUNDARIES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_MARKED_BOUNDARIES

          public static final int MTHD_SHOW_MARKED_BOUNDARIES

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_BACKFACE

          public static final int MTHD_SHOW_BACKFACE

      See Also:
        Constant Field Values

    - #### MTHD_COMPUTE_AREA

          public static final int MTHD_COMPUTE_AREA

      See Also:
        Constant Field Values

    - #### MTHD_COMPUTE_VOLUME

          public static final int MTHD_COMPUTE_VOLUME

      See Also:
        Constant Field Values

    - #### MTHD_COMPUTE_L2NORM

          public static final int MTHD_COMPUTE_L2NORM

      See Also:
        Constant Field Values

    - #### MTHD_TRIANGULATE

          public static final int MTHD_TRIANGULATE

      See Also:
        Constant Field Values

    - #### MTHD_FLIP_EDGES

          public static final int MTHD_FLIP_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_REFINE_INTO_FOUR

          public static final int MTHD_REFINE_INTO_FOUR

      See Also:
        Constant Field Values

    - #### MTHD_PRINT_EDGE_LIST

          public static final int MTHD_PRINT_EDGE_LIST

      See Also:
        Constant Field Values

    - #### MTHD_PRINT_BND_LIST

          public static final int MTHD_PRINT_BND_LIST

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GLOBAL_TETRA_COLOR

          public static final int MTHD_SHOW_GLOBAL_TETRA_COLOR

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_TETRA_COLOR_FROM_XYZ

          public static final int MTHD_MAKE_TETRA_COLOR_FROM_XYZ

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_TETRA_COLOR_FROM_Z

          public static final int MTHD_MAKE_TETRA_COLOR_FROM_Z

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_TETRA_COLOR_FROM_Z_HUE

          public static final int MTHD_MAKE_TETRA_COLOR_FROM_Z_HUE

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_LABELS

          public static final int MTHD_SHOW_EDGE_LABELS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_TETRA_LABELS

          public static final int MTHD_SHOW_TETRA_LABELS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GLOBAL_TETRA_BACK_COLOR

          public static final int MTHD_SHOW_GLOBAL_TETRA_BACK_COLOR

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_FRONT_COLOR_ON_BACK

          public static final int MTHD_SHOW_FRONT_COLOR_ON_BACK

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_TETRA_NORMAL_ARROW

          public static final int MTHD_SHOW_TETRA_NORMAL_ARROW

      See Also:
        Constant Field Values

    - #### MTHD_RESET_BOUNDARY_NORMALS

          public static final int MTHD_RESET_BOUNDARY_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_TETRA_TEXTURE

          public static final int MTHD_SHOW_TETRA_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_MARK_ALL_TETRAS

          public static final int MTHD_MARK_ALL_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_UNMARK_ALL_TETRAS

          public static final int MTHD_UNMARK_ALL_TETRAS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_TETRA_COLORS

          public static final int MTHD_REMOVE_TETRA_COLORS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_TETRA_NORMALS

          public static final int MTHD_REMOVE_TETRA_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_TETRA_TEXTURE

          public static final int MTHD_REMOVE_TETRA_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_TETRA_FROM_VERTEX_TEXTURE

          public static final int MTHD_TETRA_FROM_VERTEX_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_INVERT_TETRA_MARKS

          public static final int MTHD_INVERT_TETRA_MARKS

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_SILHOUETTE

          public static final int MTHD_SHOW_SILHOUETTE

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_BOUNDARY

          public static final int MTHD_REMOVE_BOUNDARY

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_VERTICES_KEEP_E

          public static final int MTHD_REMOVE_MARKED_VERTICES_KEEP_E

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MARKED_TETRAS_KEEP_V

          public static final int MTHD_REMOVE_MARKED_TETRAS_KEEP_V

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GLOBAL_EDGE_COLOR

          public static final int MTHD_SHOW_GLOBAL_EDGE_COLOR

      See Also:
        Constant Field Values

    - #### MTHD_EDGE_COLOR_FROM_TETRA

          public static final int MTHD_EDGE_COLOR_FROM_TETRA

      See Also:
        Constant Field Values

    - #### MTHD_EDGE_COLOR_FROM_VERTEX

          public static final int MTHD_EDGE_COLOR_FROM_VERTEX

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_VERTEX_COLOR_FROM_TETRA

          public static final int MTHD_MAKE_VERTEX_COLOR_FROM_TETRA

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_TETRA_COLOR_FROM_VERTEX

          public static final int MTHD_MAKE_TETRA_COLOR_FROM_VERTEX

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_GOURAUD_SHADING

          public static final int MTHD_SHOW_GOURAUD_SHADING

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_EDGE_SHADING

          public static final int MTHD_SHOW_EDGE_SHADING

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_TETRA_SHADING

          public static final int MTHD_SHOW_TETRA_SHADING

      See Also:
        Constant Field Values

    - #### MTHD_SHOW_TETRA_COLOR_FROM_VERTEX

          public static final int MTHD_SHOW_TETRA_COLOR_FROM_VERTEX

      See Also:
        Constant Field Values

    - #### MTHD_EXTRACT_BOUNDARIES

          public static final int MTHD_EXTRACT_BOUNDARIES

      See Also:
        Constant Field Values

    - #### MTHD_RIVARA_BISECTION

          public static final int MTHD_RIVARA_BISECTION

      See Also:
        Constant Field Values

    - #### MTHD_DERIVE_TEX

          public static final int MTHD_DERIVE_TEX

      See Also:
        Constant Field Values

    - #### MTHD_UNFOLD_BY_TEXTURE

          public static final int MTHD_UNFOLD_BY_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_SPLIT_VERITCES

          public static final int MTHD_SPLIT_VERITCES

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_POLYGON_SET

          public static final int MTHD_CONVERT_POLYGON_SET

      See Also:
        Constant Field Values

    - #### MTHD_CONVERT_ELEMENT_SET

          public static final int MTHD_CONVERT_ELEMENT_SET

      See Also:
        Constant Field Values

    - #### MTHD_COMPRESS_TEXTURE

          public static final int MTHD_COMPRESS_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_SMALL_TETRAHEDRA

          public static final int MTHD_SMALL_TETRAHEDRA

      See Also:
        Constant Field Values

    - #### m_tetraSetMethod

          public java.lang.String[] m_tetraSetMethod

  - ### Constructor Detail

    - #### PgTetraSet_Menu

          public PgTetraSet_Menu()

  - ### Method Detail

    - #### init

          public void init(PsObject anObject)

      Description copied from class: `PsMethodMenu`
      Register the target geometry, and subclasses should register all menu items and submenus.
      Overrides:
        `init` in class `PgPointSet_Menu`
      Parameters:
        `anObject` - argument used by subclasses to specify object on which action shall be executed.

    - #### update

          public boolean update(java.lang.Object event)

      Update this menu if the parent object has changed. Set the state of CheckboxMenuItems depending on the states of the parent geometry.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgPointSet_Menu`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsMethodMenu.setParent(PsUpdateIf)`, `PsMethodMenu.getFather()`

    - #### applyMethod

          public boolean applyMethod(java.lang.String aMethod)

      Find and execute a command selected by menu selection.
      Overrides:
        `applyMethod` in class `PgPointSet_Menu`
      Version:
        02.03.01, 1.10 revised (kp) No longer recompute normals when triangulating or refining geometry.

"

The software JavaView? is copyright protected. All Rights Reserved.
"